import React from "react";
import { useParams } from "react-router";
import clsx from "clsx";
import { Typography } from "@material-ui/core";

import FleetDetails from "./Details";
import useStyles from "../../useStyles";

const FleetDetailsTab = () => {
  const { name } = useParams();
  const classes = useStyles();

  return (
    <div className={clsx(classes.paper, classes.tableSize)}>
      <Typography variant="h6" className={classes.textCenterAlign}>Fleet Details</Typography>
      <FleetDetails name={name} classes={classes} />
    </div >
  );
};

export default FleetDetailsTab;
